Skip to Content
BusinessChecksSent Checks

Match a Check to a bank Transaction

POST
/v0/business/{business_id}/checks/{check_id}/match

Clear a check against the bank Transaction that paid it, for a bank line that was not matched automatically. The bank Transaction is merged into the check's, whose journal entry stays on the issue date.

Scopes: check:update

Authorization

OAuth2ClientCredentialsBearer check:update
headerAuthorizationBearer <token>

Scope: check:update

Path Parameters

check_id*Check Id

The id of the check

Formatchk_string
business_id*Business Id

The id of the business

Formatbiz_string

Request Body

application/json
  1. body
transaction_id*Transaction Id

The ID of the bank Transaction that paid the check

Formattxn_string

Response Body

Successful Response

application/json
  1. response
data*
Example Request
curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/checks/chk_WQMDNUHpBThYSNh4AprDBo/match' \  -H 'Content-Type: application/json' \  -d '{  "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ"}'
Example Response
{  "data": {    "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",    "external_account_id": "eac_ApaM9xeQtNyVk5qpaHJbNj",    "payee": "ABC Plumbing",    "vendor_id": "ven_WQMDNUHpBThYSNh4AprDBo",    "amount": 500,    "currency": "USD",    "check_number": "1042",    "issued_at": "2019-08-24T14:15:22Z",    "memo": "Invoice 2231",    "voided_at": "2019-08-24T14:15:22Z",    "created_by": "string",    "id": "chk_WQMDNUHpBThYSNh4AprDBo",    "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",    "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",    "cleared_at": "2019-08-24T14:15:22Z",    "status": "issued"  }}